/*!\file ResetCoordinateSystemx
 * \brief: reset coordinate system for full-FS: tangential to the bedrock
 */

#include "./ResetCoordinateSystemx.h"
#include "../../shared/shared.h"
#include "../../toolkits/toolkits.h"

void ResetCoordinateSystemx(Elements* elements,Nodes* nodes, Vertices* vertices, Loads* loads,Materials* materials,Parameters* parameters){

	Element *element = NULL;

	for (int i=0;i<elements->Size();i++){
		element=dynamic_cast<Element*>(elements->GetObjectByOffset(i));
		element->ResetCoordinateSystem();
	}

}
